Logoelepay
Codesetting

List all enabled EasyQR payment methods

Retrieves the payment methods available for EasyQR.

GET
/code-setting/payment-methods

Authorization

AuthorizationBearer <token>

API authentication is performed via Bearer auth using the secret key as the bearer token. The secret key is a critical key that allows all API operations, so handle it with care.

In: header

Response Body

application/json;charset=utf-8

curl -X GET "https://api.elepay.io/code-setting/payment-methods"
{
  "total": 0,
  "paymentMethods": [
    {
      "paymentMethod": "alipay",
      "resources": [
        "web"
      ],
      "brand": [
        "string"
      ],
      "ua": "string",
      "channelProperties": {
        "isSupportRefund": true,
        "isSupportPartialRefund": true,
        "isSupportMultipleRefund": true,
        "isSupportSource": true,
        "isSupportMultipleSource": true,
        "maxAmount": 0,
        "minAmount": 0,
        "resourceWebEnv": "all"
      },
      "customerProperties": {
        "isSupportCustomer": true,
        "isSupportMultipleSource": true
      }
    }
  ]
}